/// <reference types="react-reconciler" />
import * as React from 'react';
import type { RenderProps } from 'react-three-fiber/src/web';
import { ReactThreeTestRendererTree } from './helpers/tree';
import { ReactThreeTestRendererSceneGraph } from './helpers/graph';
import { MockScene, MockSceneChild } from './createMockStore';
import { CreateCanvasParameters } from './createTestCanvas';
export declare type ReactThreeTestRendererOptions = CreateCanvasParameters & RenderProps;
export declare type ThreeTestRenderer = {
    scene: MockScene;
    unmount: () => Promise<void>;
    getInstance: () => null | unknown;
    update: (el: React.ReactNode) => Promise<void>;
    toTree: () => ReactThreeTestRendererTree | undefined;
    toGraph: () => ReactThreeTestRendererSceneGraph | undefined;
    advanceFrames: (frames: number, delta: number | number[]) => void;
    fireEvent: (element: MockSceneChild, eventName: string) => Promise<any>;
};
declare const _default: {
    create: (element: React.ReactNode, options?: Partial<ReactThreeTestRendererOptions> | undefined) => Promise<ThreeTestRenderer>;
    act: (callback: () => import("react-reconciler").Thenable<unknown>) => import("react-reconciler").Thenable<void>;
};
export default _default;
